OAuth2 token revocation endpoint

​

Revokes an access or refresh token. Returns {revoked: boolean} without disclosing whether the token previously existed.

Body

required
application/json
  • OAuth2 client ID

  • OAuth2 client secret

  • The token to revoke (access or refresh)

  • Optional token type hint

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/auth/oauth/revoke
curl https://test.boost.space/api/auth/oauth/revoke \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "token": "",
  "token_type_hint": "access_token",
  "client_id": "",
  "client_secret": ""
}'
{
  "revoked": true
}